Skip to main content
GET
/
v1
/
agents
/
{agentId}
Get agent details
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/agents/{agentId} \
  --header 'Authorization: Bearer <token>'
{
  "agentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "agentStatus": "running",
  "agentType": "data_productivity_cloud",
  "cloudProvider": "aws",
  "connected": true,
  "deployment": "fargate",
  "description": "An AWS Agent",
  "enableAutoUpdates": true,
  "name": "AWS Agent",
  "pausedUntil": "2025-01-01T00:00:00.000Z",
  "restrictedAccess": true,
  "versionDetails": {
    "agentUpdateAvailable": false,
    "agentVersion": "1.0.0",
    "support": "SUPPORTED",
    "trackName": "current",
    "trackReleaseDate": "2025-01-01T00:00:00.000Z",
    "trackVersion": "1.0.0"
  }
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

agentId
string
required

The ID of the agent to retrieve

Response

Success

agentId
string

The ID of the Agent

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

agentStatus
string

The reported status of the Agent

Example:

"running"

agentType
string

The type of Agent

Example:

"data_productivity_cloud"

cloudProvider
string

The cloud provider the Agent is hosted in

Example:

"aws"

connected
boolean

Whether the Agent is connected

Example:

true

deployment
string

The deployment type of the Agent

Example:

"fargate"

description
string

The description set for the Agent

Example:

"An AWS Agent"

enableAutoUpdates
boolean

Whether the Agent is set to automatically update

Example:

true

name
string

The name of the Agent

Example:

"AWS Agent"

pausedUntil
string

The date and time the Agent will be unpaused automatically. Only returned if the Agent is currently paused

Example:

"2025-01-01T00:00:00.000Z"

restrictedAccess
boolean

Whether the Agent is restricted to a specific set of projects

Example:

true

versionDetails
object

The version details of the Agent